package com.yanzuoguang.excel;

/**
 * 列设置
 * @author 颜佐光
 */
public class ExportColumn {

    /**
     * 列标题，如 A.B
     */
    private String title;

    /**
     * 数据单元格
     */
    private String name;

    /**
     * 数据是否合并
     */
    private boolean merger;

    /**
     * 高度
     */
    private short width;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean isMerger() {
        return merger;
    }

    public void setMerger(boolean merger) {
        this.merger = merger;
    }

    public short getWidth() {
        if(width < 1){
            return ExportData.COLUMN_WIDTH;
        }
        return width;
    }

    public void setWidth(short width) {
        this.width = width;
    }
}
